.main-content {
  padding: 10px 0 30px;
  counter-reset: section;
}

.main-content > section {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  position: relative;
  width: 14em;
  height: 10em;
  margin: 5px;
  border: 1px dashed #fff;
  background: rgb(40, 44, 45);
}

.main-content > section:nth-child(n+21) {
  background: -webkit-repeating-linear-gradient(135deg, #ddd 0, #ddd 25%, #fff 0, #fff 50%) 0/6px 6px;
  background: repeating-linear-gradient(-45deg, #ddd 0, #ddd 25%, #fff 0, #fff 50%) 0/6px 6px;
  border-color: grey;
}

.main-content > section:last-child {
  background: #000;
  border-color: #fff;
}

.main-content > section:after {
  display: block;
  position: absolute;
  width: 30px;
  height: 30px;
  top: -1px;
  left: -1px;
  color: #333;
  text-align: center;
  line-height: 30px;
  background: #DDDDDD;
  border-bottom-right-radius: 50%;
  counter-increment: section;
  content: ""counter(section)"";
}
/* loader1 */

.loader1 {
  width: 6em;
  height: 6em;
  border: 1em solid rgba(255, 255, 255, 0.3);
  border-top-color: rgba(255, 255, 255, 0.8);
  border-radius: 50%;
  -webkit-animation: loading1 1s linear infinite;
  animation: loading1 1s linear infinite;
}

@-webkit-keyframes loading1 {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }

  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@keyframes loading1 {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }

  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
/* loader2 */

.loader2 {
  position: relative;
  width: 6em;
  height: 6em;
  border-radius: 50%;
  overflow: hidden;
  -webkit-animation: loading2 0.7s linear infinite;
  animation: loading2 0.7s linear infinite;
}

.loader2:before {
  display: block;
  position: absolute;
  content: "";
  width: 100%;
  height: 2em;
  top: 0;
  left: 0;
  background: -webkit-linear-gradient(right, rgba(255, 255, 255, 0.8) 10%, rgba(255, 255, 255, 0.3) 50%, transparent);
  background: linear-gradient(to left, rgba(255, 255, 255, 0.8) 10%, rgba(255, 255, 255, 0.3) 50%, transparent);
}
/*  circled pseudoelement placed in the center of the main element
	its purpose is to cover the :before element at 1em and give it a curved, like a bow-like shape */

.loader2:after {
  display: block;
  position: absolute;
  content: "";
  width: calc(100% - 2em);
  height: calc(100% - 2em);
  top: 1em;
  left: 1em;
  border-radius: 50%;
  background: #282C2D;
}

@-webkit-keyframes loading2 {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }

  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@keyframes loading2 {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }

  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
/* loader3 */

.loader3 {
  position: relative;
  z-index: 0;
  width: 6em;
  height: 6em;
  background: #282C2D;
  border-radius: 50%;
  box-shadow: inset 0 0 0 1em #fff;
}
/* covering the main element - with the animation-delay we make the load effect */

.loader3:before,
.loader3:after {
  display: block;
  position: absolute;
  z-index: 1;
  content: "";
  width: calc(50% + 1px);
  height: 100%;
  top: 0;
  left: -1px;
  background: inherit;
  border-radius: 100% 0 0 100%;
  -webkit-transform-origin: 100% 50%;
  -ms-transform-origin: 100% 50%;
  transform-origin: 100% 50%;
  -webkit-animation: loading3 2s ease-in-out 1.5s infinite;
  animation: loading3 2s ease-in-out 1.5s infinite;
}

.loader3:after {
  left: 50%;
  background: inherit;
  border-radius: 0 100% 100% 0;
  -webkit-transform-origin: 0 50%;
  -ms-transform-origin: 0 50%;
  transform-origin: 0 50%;
  -webkit-animation-delay: 0s;
  animation-delay: 0s;
}

@-webkit-keyframes loading3 {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }

  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@keyframes loading3 {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }

  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
/* loader4 */

.loader4 {
  position: relative;
  width: 6em;
  height: 6em;
  border: 0.5em dashed rgba(255, 255, 255, 0.3);
  border-radius: 50%;
  -webkit-animation: loading4 1s linear infinite, loading4b 01s linear alternate infinite;
  animation: loading4 1s linear infinite, loading4b 01s linear alternate infinite;
}

.loader4:before {
  display: block;
  position: absolute;
  content: "";
  width: 5em;
  height: 5em;
  top: 0;
  left: 0;
  border-radius: 50%;
  -webkit-animation: loading41 1s linear alternate infinite;
  animation: loading41 1s linear alternate infinite;
}

@-webkit-keyframes loading4 {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }

  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@keyframes loading4 {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }

  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@-webkit-keyframes loading41 {
  0% {
    -webkit-transform: scale(0.7);
    transform: scale(0.7);
    background: rgba(255, 255, 255, 0.1);
  }

  100% {
    -webkit-transform: scale(0.5);
    transform: scale(0.5);
    background: rgba(255, 255, 255, 0.8);
  }
}

@keyframes loading41 {
  0% {
    -webkit-transform: scale(0.7);
    transform: scale(0.7);
    background: rgba(255, 255, 255, 0.1);
  }

  100% {
    -webkit-transform: scale(0.5);
    transform: scale(0.5);
    background: rgba(255, 255, 255, 0.8);
  }
}

@-webkit-keyframes loading4b {
  0% {
    border-color: rgba(255, 255, 255, 0.8);
  }

  100% {
    border-color: rgba(255, 255, 255, 0.3);
  }
}

@keyframes loading4b {
  0% {
    border-color: rgba(255, 255, 255, 0.8);
  }

  100% {
    border-color: rgba(255, 255, 255, 0.3);
  }
}
/* loader5 */

.loader5 {
  position: relative;
  width: 6em;
  height: 6em;
  color: rgba(255, 255, 255, 0.3);
  border: 0.5em solid;
  border-left-color: transparent;
  border-right-color: transparent;
  border-radius: 50%;
  -webkit-animation: loading5 1s linear infinite;
  animation: loading5 1s linear infinite;
}

.loader5:before,
.loader5:after {
  display: block;
  position: absolute;
  content: "";
  width: 5em;
  height: 5em;
  top: 0em;
  left: 0em;
  border: 0.5em solid;
  border-top-color: transparent;
  border-bottom-color: transparent;
  border-radius: 50%;
}

.loader5:after {
  width: 4em;
  height: 4em;
  top: 0.5em;
  left: 0.5em;
  border: inherit;
  /* border: 0.5em solid rgba(255, 255, 255, 0.3); */;
}

@-webkit-keyframes loading5 {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }

  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@keyframes loading5 {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }

  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
/* loader6 */

.loader6 {
  position: relative;
  width: 6em;
  height: 6em;
  color: rgba(255, 255, 255, 0.3);
  border: 0.2em solid;
  border-radius: 50%;
  background: currentColor;
}

.loader6:before,
.loader6:after {
  display: block;
  position: absolute;
  content: "";
  width: calc(50% - 0.2em);
  height: 3px;
  top: 50%;
  left: 50%;
  background: inherit;
  -webkit-transform-origin: 0 50%;
  -ms-transform-origin: 0 50%;
  transform-origin: 0 50%;
  -webkit-animation: loading6 5s linear infinite;
  animation: loading6 5s linear infinite;
}

.loader6:after {
  width: 25%;
  -webkit-animation-duration: 30s;
  animation-duration: 30s;
}

@-webkit-keyframes loading6 {
  100% {
    -webkit-transform: rotate(1turn);
    transform: rotate(1turn);
  }
}

@keyframes loading6 {
  100% {
    -webkit-transform: rotate(1turn);
    transform: rotate(1turn);
  }
}
/* loader7 */

.loader7 {
  position: relative;
  z-index: 0;
  width: 6em;
  height: 6em;
  background-color: #696C6C;
  background-image: -webkit-linear-gradient(left, transparent 50%, #282C2D 0);
  background-image: linear-gradient(to right, transparent 50%, #282C2D 0);
  border: 0.2em solid #fff;
  border-radius: 50%;
  overflow: hidden;
}

.loader7:before {
  display: block;
  position: absolute;
  content: "";
  width: 50%;
  height: 100%;
  top: 0;
  left: 50%;
  background-color: inherit;
  -webkit-transform-origin: 0 50%;
  -ms-transform-origin: 0 50%;
  transform-origin: 0 50%;
  -webkit-animation: loading7 3s linear infinite, loading71 6s step-end infinite;
  animation: loading7 3s linear infinite, loading71 6s step-end infinite;
}

@-webkit-keyframes loading7 {
  to {
    -webkit-transform: rotate(.5turn);
    transform: rotate(.5turn);
  }
}

@keyframes loading7 {
  to {
    -webkit-transform: rotate(.5turn);
    transform: rotate(.5turn);
  }
}

@-webkit-keyframes loading71 {
  50% {
    background: #282C2D;
  }
}

@keyframes loading71 {
  50% {
    background: #282C2D;
  }
}
/* loader8 */

.loader8 {
  position: relative;
  width: 0em;
  height: 0em;
  color: rgba(255, 255, 255, 0.3);
  border: 0em solid;
  border-radius: 50%;
  -webkit-animation: loading8 1s linear infinite;
  animation: loading8 1s linear infinite;
}

.loader8:before {
  display: block;
  position: absolute;
  content: "";
  width: 0;
  height: 0;
  top: -4em;
  left: -4em;
  border: inherit;
  border-width: 4em;
  /* border: 4em solid rgba(255, 255, 255, 0.3)*/
  border-radius: 50%;
  -webkit-animation: loading81 1s linear infinite;
  animation: loading81 1s linear infinite;
}

@-webkit-keyframes loading8 {
  100% {
    border-width: 4em;
  }
}

@keyframes loading8 {
  100% {
    border-width: 4em;
  }
}

@-webkit-keyframes loading81 {
  100% {
    border-width: 0em;
  }
}

@keyframes loading81 {
  100% {
    border-width: 0em;
  }
}
/* loader9 */

.loader9 {
  position: relative;
  width: 6em;
  height: 6em;
  border-radius: 50%;
}

.loader9:before,
.loader9:after {
  display: block;
  position: absolute;
  content: "";
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  border-radius: 50%;
  background: rgba(255, 255, 255, 0.3);
  -webkit-animation: loading9 1s linear alternate infinite;
  animation: loading9 1s linear alternate infinite;
}

.loader9:after {
  background: rgba(255, 255, 255, 0.6);
  -webkit-animation-direction: alternate-reverse;
  animation-direction: alternate-reverse;
}

@-webkit-keyframes loading9 {
  0% {
    -webkit-transform: scale(0);
    transform: scale(0);
  }

  100% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
}

@keyframes loading9 {
  0% {
    -webkit-transform: scale(0);
    transform: scale(0);
  }

  100% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
}
/* loader10 */

.loader10 {
  position: relative;
  font-size: 13px;
  width: 5em;
  height: 5em;
  background: rgba(255, 255, 255, 0.5);
  border: 1em solid rgba(255, 255, 255, 0.6);
  box-shadow: inset 0 0 0 1em rgba(255, 255, 255, 0.4);
  border-radius: 50%;
  -webkit-animation: loading10 2s linear infinite;
  animation: loading10 2s linear infinite;
}

.loader10:before,
.loader10:after {
  display: block;
  position: absolute;
  content: "";
  top: -2em;
  right: -2em;
  bottom: -2em;
  left: -2em;
  border: 1em solid rgba(255, 255, 255, 0.7);
  border-radius: 50%;
  background: transparent;
}

.loader10:after {
  top: -3em;
  right: -3em;
  bottom: -3em;
  left: -3em;
  border: 1em solid rgba(255, 255, 255, 0.8);
  border-top: transparent;
  border-bottom: transparent;
  -webkit-animation: loading101 1s linear infinite;
  animation: loading101 1s linear infinite;
}

@-webkit-keyframes loading10 {
  0% {
    opacity: 0;
    -webkit-transform: scale(0);
    transform: scale(0);
  }

  25% {
    opacity: 0.85;
  }

  100% {
    opacity: 0;
    -webkit-transform: scale(1);
    transform: scale(1);
  }
}

@keyframes loading10 {
  0% {
    opacity: 0;
    -webkit-transform: scale(0);
    transform: scale(0);
  }

  25% {
    opacity: 0.85;
  }

  100% {
    opacity: 0;
    -webkit-transform: scale(1);
    transform: scale(1);
  }
}

@-webkit-keyframes loading101 {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }

  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@keyframes loading101 {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }

  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
/* loader11 */

.loader11 {
  width: 1.5em;
  height: 1.5em;
  border-radius: 50%;
  -webkit-animation: loading11 1.5s linear infinite;
  animation: loading11 1.5s linear infinite;
}

@-webkit-keyframes loading11 {
  0%, 100% {
    box-shadow: 0em -2.6em 0em 0em #ffffff, 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2), 2.5em 0em 0 0em rgba(255, 255, 255, 0.2), 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.2), 0em 2.5em 0 0em rgba(255, 255, 255, 0.2), -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.2), -2.6em 0em 0 0em rgba(255, 255, 255, 0.5), -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.7);
  }

  12.5% {
    box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.7), 1.8em -1.8em 0 0em #ffffff, 2.5em 0em 0 0em rgba(255, 255, 255, 0.2), 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.2), 0em 2.5em 0 0em rgba(255, 255, 255, 0.2), -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.2), -2.6em 0em 0 0em rgba(255, 255, 255, 0.2), -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.5);
  }

  25% {
    box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.5), 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.7), 2.5em 0em 0 0em #ffffff, 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.2), 0em 2.5em 0 0em rgba(255, 255, 255, 0.2), -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.2), -2.6em 0em 0 0em rgba(255, 255, 255, 0.2), -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2);
  }

  37.5% {
    box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.2), 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.5), 2.5em 0em 0 0em rgba(255, 255, 255, 0.7), 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.2), 0em 2.5em 0 0em rgba(255, 255, 255, 0.2), -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.2), -2.6em 0em 0 0em rgba(255, 255, 255, 0.2), -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2);
  }

  50% {
    box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.2), 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2), 2.5em 0em 0 0em rgba(255, 255, 255, 0.5), 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.7), 0em 2.5em 0 0em #ffffff, -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.2), -2.6em 0em 0 0em rgba(255, 255, 255, 0.2), -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2);
  }

  62.5% {
    box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.2), 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2), 2.5em 0em 0 0em rgba(255, 255, 255, 0.2), 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.5), 0em 2.5em 0 0em rgba(255, 255, 255, 0.7), -1.8em 1.8em 0 0em #ffffff, -2.6em 0em 0 0em rgba(255, 255, 255, 0.2), -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2);
  }

  75% {
    box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.2), 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2), 2.5em 0em 0 0em rgba(255, 255, 255, 0.2), 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.2), 0em 2.5em 0 0em rgba(255, 255, 255, 0.5), -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.7), -2.6em 0em 0 0em #ffffff, -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2);
  }

  87.5% {
    box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.2), 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2), 2.5em 0em 0 0em rgba(255, 255, 255, 0.2), 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.2), 0em 2.5em 0 0em rgba(255, 255, 255, 0.2), -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.5), -2.6em 0em 0 0em rgba(255, 255, 255, 0.7), -1.8em -1.8em 0 0em #ffffff;
  }
}

@keyframes loading11 {
  0%, 100% {
    box-shadow: 0em -2.6em 0em 0em #ffffff, 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2), 2.5em 0em 0 0em rgba(255, 255, 255, 0.2), 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.2), 0em 2.5em 0 0em rgba(255, 255, 255, 0.2), -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.2), -2.6em 0em 0 0em rgba(255, 255, 255, 0.5), -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.7);
  }

  12.5% {
    box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.7), 1.8em -1.8em 0 0em #ffffff, 2.5em 0em 0 0em rgba(255, 255, 255, 0.2), 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.2), 0em 2.5em 0 0em rgba(255, 255, 255, 0.2), -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.2), -2.6em 0em 0 0em rgba(255, 255, 255, 0.2), -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.5);
  }

  25% {
    box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.5), 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.7), 2.5em 0em 0 0em #ffffff, 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.2), 0em 2.5em 0 0em rgba(255, 255, 255, 0.2), -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.2), -2.6em 0em 0 0em rgba(255, 255, 255, 0.2), -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2);
  }

  37.5% {
    box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.2), 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.5), 2.5em 0em 0 0em rgba(255, 255, 255, 0.7), 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.2), 0em 2.5em 0 0em rgba(255, 255, 255, 0.2), -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.2), -2.6em 0em 0 0em rgba(255, 255, 255, 0.2), -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2);
  }

  50% {
    box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.2), 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2), 2.5em 0em 0 0em rgba(255, 255, 255, 0.5), 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.7), 0em 2.5em 0 0em #ffffff, -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.2), -2.6em 0em 0 0em rgba(255, 255, 255, 0.2), -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2);
  }

  62.5% {
    box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.2), 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2), 2.5em 0em 0 0em rgba(255, 255, 255, 0.2), 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.5), 0em 2.5em 0 0em rgba(255, 255, 255, 0.7), -1.8em 1.8em 0 0em #ffffff, -2.6em 0em 0 0em rgba(255, 255, 255, 0.2), -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2);
  }

  75% {
    box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.2), 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2), 2.5em 0em 0 0em rgba(255, 255, 255, 0.2), 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.2), 0em 2.5em 0 0em rgba(255, 255, 255, 0.5), -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.7), -2.6em 0em 0 0em #ffffff, -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2);
  }

  87.5% {
    box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.2), 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2), 2.5em 0em 0 0em rgba(255, 255, 255, 0.2), 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.2), 0em 2.5em 0 0em rgba(255, 255, 255, 0.2), -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.5), -2.6em 0em 0 0em rgba(255, 255, 255, 0.7), -1.8em -1.8em 0 0em #ffffff;
  }
}
/* loader12 */

.loader12 {
  width: 1em;
  height: 1em;
  border-radius: 50%;
  -webkit-animation: loading12 2s linear infinite;
  animation: loading12 2s linear infinite;
}

@-webkit-keyframes loading12 {
  0%, 100% {
    box-shadow: 0 -3em 0 0.2em #ffffff, 2em -2em 0 0em #ffffff, 3em 0 0 -1em #ffffff, 2em 2em 0 -1em #ffffff, 0 3em 0 -1em #ffffff, -2em 2em 0 -1em #ffffff, -3em 0 0 -1em #ffffff, -2em -2em 0 0 #ffffff;
  }

  12.5% {
    box-shadow: 0 -3em 0 0 #ffffff, 2em -2em 0 0.2em #ffffff, 3em 0 0 0 #ffffff, 2em 2em 0 -1em #ffffff, 0 3em 0 -1em #ffffff, -2em 2em 0 -1em #ffffff, -3em 0 0 -1em #ffffff, -2em -2em 0 -1em #ffffff;
  }

  25% {
    box-shadow: 0 -3em 0 -0.5em #ffffff, 2em -2em 0 0 #ffffff, 3em 0 0 0.2em #ffffff, 2em 2em 0 0 #ffffff, 0 3em 0 -1em #ffffff, -2em 2em 0 -1em #ffffff, -3em 0 0 -1em #ffffff, -2em -2em 0 -1em #ffffff;
  }

  37.5% {
    box-shadow: 0 -3em 0 -1em #ffffff, 2em -2em 0 -1em #ffffff, 3em 0em 0 0 #ffffff, 2em 2em 0 0.2em #ffffff, 0 3em 0 0em #ffffff, -2em 2em 0 -1em #ffffff, -3em 0em 0 -1em #ffffff, -2em -2em 0 -1em #ffffff;
  }

  50% {
    box-shadow: 0 -3em 0 -1em #ffffff, 2em -2em 0 -1em #ffffff, 3em 0 0 -1em #ffffff, 2em 2em 0 0em #ffffff, 0 3em 0 0.2em #ffffff, -2em 2em 0 0 #ffffff, -3em 0em 0 -1em #ffffff, -2em -2em 0 -1em #ffffff;
  }

  62.5% {
    box-shadow: 0 -3em 0 -1em #ffffff, 2em -2em 0 -1em #ffffff, 3em 0 0 -1em #ffffff, 2em 2em 0 -1em #ffffff, 0 3em 0 0 #ffffff, -2em 2em 0 0.2em #ffffff, -3em 0 0 0 #ffffff, -2em -2em 0 -1em #ffffff;
  }

  75% {
    box-shadow: 0em -3em 0 -1em #ffffff, 2em -2em 0 -1em #ffffff, 3em 0em 0 -1em #ffffff, 2em 2em 0 -1em #ffffff, 0 3em 0 -1em #ffffff, -2em 2em 0 0 #ffffff, -3em 0em 0 0.2em #ffffff, -2em -2em 0 0 #ffffff;
  }

  87.5% {
    box-shadow: 0em -3em 0 0 #ffffff, 2em -2em 0 -1em #ffffff, 3em 0 0 -1em #ffffff, 2em 2em 0 -1em #ffffff, 0 3em 0 -1em #ffffff, -2em 2em 0 0 #ffffff, -3em 0em 0 0 #ffffff, -2em -2em 0 0.2em #ffffff;
  }
}

@keyframes loading12 {
  0%, 100% {
    box-shadow: 0 -3em 0 0.2em #ffffff, 2em -2em 0 0em #ffffff, 3em 0 0 -1em #ffffff, 2em 2em 0 -1em #ffffff, 0 3em 0 -1em #ffffff, -2em 2em 0 -1em #ffffff, -3em 0 0 -1em #ffffff, -2em -2em 0 0 #ffffff;
  }

  12.5% {
    box-shadow: 0 -3em 0 0 #ffffff, 2em -2em 0 0.2em #ffffff, 3em 0 0 0 #ffffff, 2em 2em 0 -1em #ffffff, 0 3em 0 -1em #ffffff, -2em 2em 0 -1em #ffffff, -3em 0 0 -1em #ffffff, -2em -2em 0 -1em #ffffff;
  }

  25% {
    box-shadow: 0 -3em 0 -0.5em #ffffff, 2em -2em 0 0 #ffffff, 3em 0 0 0.2em #ffffff, 2em 2em 0 0 #ffffff, 0 3em 0 -1em #ffffff, -2em 2em 0 -1em #ffffff, -3em 0 0 -1em #ffffff, -2em -2em 0 -1em #ffffff;
  }

  37.5% {
    box-shadow: 0 -3em 0 -1em #ffffff, 2em -2em 0 -1em #ffffff, 3em 0em 0 0 #ffffff, 2em 2em 0 0.2em #ffffff, 0 3em 0 0em #ffffff, -2em 2em 0 -1em #ffffff, -3em 0em 0 -1em #ffffff, -2em -2em 0 -1em #ffffff;
  }

  50% {
    box-shadow: 0 -3em 0 -1em #ffffff, 2em -2em 0 -1em #ffffff, 3em 0 0 -1em #ffffff, 2em 2em 0 0em #ffffff, 0 3em 0 0.2em #ffffff, -2em 2em 0 0 #ffffff, -3em 0em 0 -1em #ffffff, -2em -2em 0 -1em #ffffff;
  }

  62.5% {
    box-shadow: 0 -3em 0 -1em #ffffff, 2em -2em 0 -1em #ffffff, 3em 0 0 -1em #ffffff, 2em 2em 0 -1em #ffffff, 0 3em 0 0 #ffffff, -2em 2em 0 0.2em #ffffff, -3em 0 0 0 #ffffff, -2em -2em 0 -1em #ffffff;
  }

  75% {
    box-shadow: 0em -3em 0 -1em #ffffff, 2em -2em 0 -1em #ffffff, 3em 0em 0 -1em #ffffff, 2em 2em 0 -1em #ffffff, 0 3em 0 -1em #ffffff, -2em 2em 0 0 #ffffff, -3em 0em 0 0.2em #ffffff, -2em -2em 0 0 #ffffff;
  }

  87.5% {
    box-shadow: 0em -3em 0 0 #ffffff, 2em -2em 0 -1em #ffffff, 3em 0 0 -1em #ffffff, 2em 2em 0 -1em #ffffff, 0 3em 0 -1em #ffffff, -2em 2em 0 0 #ffffff, -3em 0em 0 0 #ffffff, -2em -2em 0 0.2em #ffffff;
  }
}
/* loader 13 */

.loader13 {
  font-size: 13px;
  width: 1.5em;
  height: 1.5em;
  border-radius: 50%;
  background: rgba(255, 255, 255, 0.6);
  -webkit-animation: loading13 1.5s linear alternate-reverse infinite;
  animation: loading13 1.5s linear alternate-reverse infinite;
}

@-webkit-keyframes loading13 {
  0% {
    -webkit-transform: scale(1);
    transform: scale(1);
    box-shadow: -4em -4em 0 rgba(255, 255, 255, 0.8), -2em -2em 0 rgba(255, 255, 255, 0.7), 2em 2em 0 rgba(255, 255, 255, 0.7), 4em 4em 0 rgba(255, 255, 255, 0.8);
  }

  25% {
    -webkit-transform: scale(0.9);
    transform: scale(0.9);
    box-shadow: -4em -2em 0 rgba(255, 255, 255, 0.6), -2em -2em 0 rgba(255, 255, 255, 0.3), 2em 2em 0 rgba(255, 255, 255, 0.3), 4em 2em 0 rgba(255, 255, 255, 0.6);
  }

  50% {
    -webkit-transform: scale(0.8);
    transform: scale(0.8);
    box-shadow: -4em 0 0 rgba(255, 255, 255, 0.4), -2em 0 0 rgba(255, 255, 255, 0.4), 2em 0 0 rgba(255, 255, 255, 0.4), 4em 0 0 rgba(255, 255, 255, 0.4);
  }

  75% {
    -webkit-transform: scale(0.9);
    transform: scale(0.9);
    box-shadow: -4em 2em 0 rgba(255, 255, 255, 0.6), -2em 2em 0 rgba(255, 255, 255, 0.3), 2em -2em 0 rgba(255, 255, 255, 0.3), 4em -2em 0 rgba(255, 255, 255, 0.6);
  }

  100% {
    -webkit-transform: scale(1);
    transform: scale(1);
    box-shadow: -4em 4em 0 rgba(255, 255, 255, 0.8), -2em 2em 0 rgba(255, 255, 255, 0.7), 2em -2em 0 rgba(255, 255, 255, 0.7), 4em -4em 0 rgba(255, 255, 255, 0.8);
  }
}

@keyframes loading13 {
  0% {
    -webkit-transform: scale(1);
    transform: scale(1);
    box-shadow: -4em -4em 0 rgba(255, 255, 255, 0.8), -2em -2em 0 rgba(255, 255, 255, 0.7), 2em 2em 0 rgba(255, 255, 255, 0.7), 4em 4em 0 rgba(255, 255, 255, 0.8);
  }

  25% {
    -webkit-transform: scale(0.9);
    transform: scale(0.9);
    box-shadow: -4em -2em 0 rgba(255, 255, 255, 0.6), -2em -2em 0 rgba(255, 255, 255, 0.3), 2em 2em 0 rgba(255, 255, 255, 0.3), 4em 2em 0 rgba(255, 255, 255, 0.6);
  }

  50% {
    -webkit-transform: scale(0.8);
    transform: scale(0.8);
    box-shadow: -4em 0 0 rgba(255, 255, 255, 0.4), -2em 0 0 rgba(255, 255, 255, 0.4), 2em 0 0 rgba(255, 255, 255, 0.4), 4em 0 0 rgba(255, 255, 255, 0.4);
  }

  75% {
    -webkit-transform: scale(0.9);
    transform: scale(0.9);
    box-shadow: -4em 2em 0 rgba(255, 255, 255, 0.6), -2em 2em 0 rgba(255, 255, 255, 0.3), 2em -2em 0 rgba(255, 255, 255, 0.3), 4em -2em 0 rgba(255, 255, 255, 0.6);
  }

  100% {
    -webkit-transform: scale(1);
    transform: scale(1);
    box-shadow: -4em 4em 0 rgba(255, 255, 255, 0.8), -2em 2em 0 rgba(255, 255, 255, 0.7), 2em -2em 0 rgba(255, 255, 255, 0.7), 4em -4em 0 rgba(255, 255, 255, 0.8);
  }
}
/* loader14 */

.loader14 {
  position: relative;
  width: 1.2em;
  height: 1.2em;
  background: #fff;
  border-radius: 50%;
  -webkit-animation: loading14 1.5s linear infinite;
  animation: loading14 1.5s linear infinite;
}

.loader14:before,
.loader14:after {
  display: block;
  position: absolute;
  content: "";
  width: 100%;
  height: 100%;
  left: -2.4em;
  background: #fff;
  border-radius: 50%;
  -webkit-animation: loading141 1.5s linear alternate infinite;
  animation: loading141 1.5s linear alternate infinite;
}

.loader14:after {
  left: 2.4em;
  -webkit-animation-name: loading142;
  animation-name: loading142;
}

@-webkit-keyframes loading14 {
  0% {
    box-shadow: 1.2em 0 0 0 rgba(255, 255, 255, 0.8), -1.2em 0 0 0 rgba(255, 255, 255, 0.8);
  }

  50% {
    box-shadow: 1.2em 0 0 0 rgba(255, 255, 255, 0.2), -1.2em 0 0 0 rgba(255, 255, 255, 1);
  }

  100% {
    box-shadow: 1.2em 0 0 0 rgba(255, 255, 255, 1), -1.2em 0 0 0 rgba(255, 255, 255, 0.2);
  }
}

@keyframes loading14 {
  0% {
    box-shadow: 1.2em 0 0 0 rgba(255, 255, 255, 0.8), -1.2em 0 0 0 rgba(255, 255, 255, 0.8);
  }

  50% {
    box-shadow: 1.2em 0 0 0 rgba(255, 255, 255, 0.2), -1.2em 0 0 0 rgba(255, 255, 255, 1);
  }

  100% {
    box-shadow: 1.2em 0 0 0 rgba(255, 255, 255, 1), -1.2em 0 0 0 rgba(255, 255, 255, 0.2);
  }
}

@-webkit-keyframes loading141 {
  0%, 50% {
    left: -2.4em;
  }

  100% {
    left: -5em;
  }
}

@keyframes loading141 {
  0%, 50% {
    left: -2.4em;
  }

  100% {
    left: -5em;
  }
}

@-webkit-keyframes loading142 {
  0% {
    left: 5em;
  }

  50%,
  100% {
    left: 2.4em;
  }
}

@keyframes loading142 {
  0% {
    left: 5em;
  }

  50%,
  100% {
    left: 2.4em;
  }
}
/*  loader15 */

.loader15 {
  position: relative;
  width: 1.2em;
  height: 1.2em;
  border-radius: 50%;
  -webkit-animation: loading15 1.3s linear alternate 0.3s infinite;
  animation: loading15 1.3s linear alternate 0.3s infinite;
}

.loader15:before,
.loader15:after {
  display: block;
  position: absolute;
  content: "";
  width: 100%;
  height: 100%;
  top: 0;
  left: -1.6em;
  border-radius: 50%;
  -webkit-animation: loading15 1.3s linear alternate 0.15s infinite;
  animation: loading15 1.3s linear alternate 0.15s infinite;
}

.loader15:after {
  left: 1.6em;
  -webkit-animation-delay: 0.45s;
  animation-delay: 0.45s;
}

@-webkit-keyframes loading15 {
  0%, 100% {
    background: #fff;
  }

  50% {
    background: rgba(255, 255, 255, 0.3);
  }
}

@keyframes loading15 {
  0%, 100% {
    background: #fff;
  }

  50% {
    background: rgba(255, 255, 255, 0.3);
  }
}
/*  loader16 */

.loader16 {
  position: relative;
  width: 1.2em;
  height: 1.2em;
  background: #fff;
  border-radius: 50%;
  -webkit-animation: loading16 1s linear 0.3s infinite;
  animation: loading16 1s linear 0.3s infinite;
}

.loader16:before,
.loader16:after {
  display: block;
  position: absolute;
  content: "";
  width: 100%;
  height: 100%;
  top: 0;
  left: -1.6em;
  background: inherit;
  border-radius: 50%;
  -webkit-animation: loading16 1s linear 0.15s infinite;
  animation: loading16 1s linear 0.15s infinite;
}

.loader16:after {
  left: 1.6em;
  -webkit-animation-delay: 0.45s;
  animation-delay: 0.45s;
}

@-webkit-keyframes loading16 {
  0%, 100% {
    -webkit-transform: translateY(0);
    transform: translateY(0);
  }

  15% {
    background: rgba(255, 255, 255, 0.3);
  }

  25% {
    -webkit-transform: translateY(-0.9em);
    transform: translateY(-0.9em);
  }

  50% {
    -webkit-transform: translateY(0.9em);
    transform: translateY(0.9em);
  }
}

@keyframes loading16 {
  0%, 100% {
    -webkit-transform: translateY(0);
    transform: translateY(0);
  }

  15% {
    background: rgba(255, 255, 255, 0.3);
  }

  25% {
    -webkit-transform: translateY(-0.9em);
    transform: translateY(-0.9em);
  }

  50% {
    -webkit-transform: translateY(0.9em);
    transform: translateY(0.9em);
  }
}
/*  loader17 */

.loader17 {
  position: relative;
  width: 1em;
  height: 3.2em;
  background: #fff;
  -webkit-animation: loading17 1s ease-out 0.3s infinite;
  animation: loading17 1s ease-out 0.3s infinite;
}

.loader17:before,
.loader17:after {
  display: block;
  position: absolute;
  content: "";
  width: 100%;
  height: 100%;
  top: 0;
  left: -2em;
  background: inherit;
  -webkit-animation: loading17 1s ease-out 0.15s infinite;
  animation: loading17 1s ease-out 0.15s infinite;
}

.loader17:after {
  left: 2em;
  -webkit-animation-delay: 0.45s;
  animation-delay: 0.45s;
}

@-webkit-keyframes loading17 {
  0%, 75%, 100% {
    -webkit-transform: scale(1, 1);
    transform: scale(1, 1);
  }

  25% {
    -webkit-transform: scale(1, 1.50);
    transform: scale(1, 1.50);
  }

  50% {
    -webkit-transform: scale(1, 0.75);
    transform: scale(1, 0.75);
  }
}

@keyframes loading17 {
  0%, 75%, 100% {
    -webkit-transform: scale(1, 1);
    transform: scale(1, 1);
  }

  25% {
    -webkit-transform: scale(1, 1.50);
    transform: scale(1, 1.50);
  }

  50% {
    -webkit-transform: scale(1, 0.75);
    transform: scale(1, 0.75);
  }
}
/*  loader18 */

.loader18 {
  position: relative;
  width: 1em;
  height: 4em;
  background: #fff;
  box-shadow: -4em 0 0 0 #fff, -2em 0 0 0 #fff, 0 0 0 0 #fff, 2em 0 0 0 #fff, 4em 0 0 0 #fff;
  -webkit-transform: scale(0.6, 1.1);
  -ms-transform: scale(0.6, 1.1);
  transform: scale(0.6, 1.1);
  -webkit-animation: loading18 1s linear infinite;
  animation: loading18 1s linear infinite;
}

@-webkit-keyframes loading18 {
  0% {
    box-shadow: -4em 0 0 0 #fff, -2em 0 0 0 #fff, 0 0 0 0 #fff, 2em 0 0 0 #fff, 4em 0 0 0 #fff;
  }

  20% {
    box-shadow: -4em 0 0 0.5em rgba(255, 255, 255, 0.7), -2em 0 0 0 #fff, 0 0 0 #fff, 2em 0 0 0 #fff, 4em 0 0 0 #fff;
  }

  40% {
    box-shadow: -4em 0 0 0 #fff, -2em 0 0 0.5em rgba(255, 255, 255, 0.7), 0 0 0 0 #fff, 2em 0 0 0 #fff, 4em 0 0 0 #fff;
  }

  60% {
    box-shadow: -4em 0 0 0 #fff, -2em 0 0 0 #fff, 0 0 0 0.5em rgba(255, 255, 255, 0.7), 2em 0 0 0 #fff, 4em 0 0 0 #fff;
  }

  80% {
    box-shadow: -4em 0 0 0 #fff, -2em 0 0 0 #fff, 0 0 0 0 #fff, 2em 0 0 0.5em rgba(255, 255, 255, 0.7), 4em 0 0 0 #fff;
  }

  100% {
    box-shadow: -4em 0 0 0 #fff, -2em 0 0 0 #fff, 0 0 0 0 #fff, 2em 0 0 0 #fff, 4em 0 0 0.5em rgba(255, 255, 255, 0.7);
  }
}

@keyframes loading18 {
  0% {
    box-shadow: -4em 0 0 0 #fff, -2em 0 0 0 #fff, 0 0 0 0 #fff, 2em 0 0 0 #fff, 4em 0 0 0 #fff;
  }

  20% {
    box-shadow: -4em 0 0 0.5em rgba(255, 255, 255, 0.7), -2em 0 0 0 #fff, 0 0 0 #fff, 2em 0 0 0 #fff, 4em 0 0 0 #fff;
  }

  40% {
    box-shadow: -4em 0 0 0 #fff, -2em 0 0 0.5em rgba(255, 255, 255, 0.7), 0 0 0 0 #fff, 2em 0 0 0 #fff, 4em 0 0 0 #fff;
  }

  60% {
    box-shadow: -4em 0 0 0 #fff, -2em 0 0 0 #fff, 0 0 0 0.5em rgba(255, 255, 255, 0.7), 2em 0 0 0 #fff, 4em 0 0 0 #fff;
  }

  80% {
    box-shadow: -4em 0 0 0 #fff, -2em 0 0 0 #fff, 0 0 0 0 #fff, 2em 0 0 0.5em rgba(255, 255, 255, 0.7), 4em 0 0 0 #fff;
  }

  100% {
    box-shadow: -4em 0 0 0 #fff, -2em 0 0 0 #fff, 0 0 0 0 #fff, 2em 0 0 0 #fff, 4em 0 0 0.5em rgba(255, 255, 255, 0.7);
  }
}
/* loader19 */

.loader19 {
  position: relative;
  width: 6em;
  height: 6em;
  color: rgba(255, 255, 255, 0.4);
  background: currentColor;
  border-radius: 50%;
  border: 3px solid;
  -webkit-animation: loading19 1s linear infinite;
  animation: loading19 1s linear infinite;
}

.loader19:before,
.loader19:after {
  display: block;
  position: absolute;
  content: "";
  width: 10%;
  height: 10%;
  top: 15%;
  left: 25%;
  background: inherit;
  border-radius: 50%;
}

.loader19:after {
  width: 50%;
  height: 50%;
  background: transparent;
  border: inherit;
  border-width: 2px;
}

@-webkit-keyframes loading19 {
  0% {
    -webkit-transform: rotate(0);
    transform: rotate(0);
  }

  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@keyframes loading19 {
  0% {
    -webkit-transform: rotate(0);
    transform: rotate(0);
  }

  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
/* loader20 */

.loader20 {
  position: relative;
  width: 2em;
  height: 4em;
  -webkit-animation: loading20 1s linear infinite;
  animation: loading20 1s linear infinite;
}

.loader20:before,
.loader20:after {
  display: block;
  position: absolute;
  content: "";
  width: 1.5em;
  height: 1.5em;
  top: calc(98% - 1.5em);
  left: 2px;
  background: #fff;
  border-radius: 50%;
  -webkit-animation: loading201 2s linear alternate infinite;
  animation: loading201 2s linear alternate infinite;
}

.loader20:after {
  top: 2%;
  background: #000;
}

@-webkit-keyframes loading20 {
  0% {
    -webkit-transform: rotate(0);
    transform: rotate(0);
  }

  100% {
    -webkit-transform: rotate(180deg);
    transform: rotate(180deg);
  }
}

@keyframes loading20 {
  0% {
    -webkit-transform: rotate(0);
    transform: rotate(0);
  }

  100% {
    -webkit-transform: rotate(180deg);
    transform: rotate(180deg);
  }
}

@-webkit-keyframes loading201 {
  0% {
    -webkit-transform: scale(1.3);
    transform: scale(1.3);
  }

  25% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }

  50% {
    -webkit-transform: scale(0.7);
    transform: scale(0.7);
  }

  100% {
    -webkit-transform: scale(0.4);
    transform: scale(0.4);
  }
}

@keyframes loading201 {
  0% {
    -webkit-transform: scale(1.3);
    transform: scale(1.3);
  }

  25% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }

  50% {
    -webkit-transform: scale(0.7);
    transform: scale(0.7);
  }

  100% {
    -webkit-transform: scale(0.4);
    transform: scale(0.4);
  }
}
/* loader21 */

.loader21 {
  position: relative;
  width: 2em;
  height: 6em;
  border: 4px solid tomato;
  border-left: transparent;
  border-right: transparent;
  -webkit-animation: loading21 3s linear infinite;
  animation: loading21 3s linear infinite;
}

.loader21:before {
  display: block;
  position: absolute;
  content: "";
  width: 1.5em;
  height: 1.5em;
  left: 2px;
  background: lightblue;
  border-radius: 50%;
  -webkit-animation: loading211 1.5s linear alternate infinite;
  animation: loading211 1.5s linear alternate infinite;
}

@-webkit-keyframes loading21 {
  0% {
    -webkit-transform: rotate(0);
    transform: rotate(0);
  }

  100% {
    -webkit-transform: rotate(1turn);
    transform: rotate(1turn);
  }
}

@keyframes loading21 {
  0% {
    -webkit-transform: rotate(0);
    transform: rotate(0);
  }

  100% {
    -webkit-transform: rotate(1turn);
    transform: rotate(1turn);
  }
}

@-webkit-keyframes loading211 {
  0% {
    top: calc(100% - 1.5em);
  }

  25%,
  75% {
    -webkit-transform: scale(0.8);
    transform: scale(0.8);
  }

  50% {
    -webkit-transform: scale(0.6);
    transform: scale(0.6);
  }

  100% {
    top: 0;
  }
}

@keyframes loading211 {
  0% {
    top: calc(100% - 1.5em);
  }

  25%,
  75% {
    -webkit-transform: scale(0.8);
    transform: scale(0.8);
  }

  50% {
    -webkit-transform: scale(0.6);
    transform: scale(0.6);
  }

  100% {
    top: 0;
  }
}
/* loader22 */

.loader22 {
  width: 11em;
  height: 3em;
  background: #ff0000;
  background-image: -webkit-linear-gradient(135deg, rgba(255, 255, 255, .6) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, .6) 50%, rgba(255, 255, 255, .6) 75%, transparent 75%, transparent);
  background-image: linear-gradient(-45deg, rgba(255, 255, 255, .6) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, .6) 50%, rgba(255, 255, 255, .6) 75%, transparent 75%, transparent);
  background-size: 3em 3em;
  border: 0.3em solid rgba(0, 0, 0, 0.5);
  border-radius: 5px;
  box-shadow: 0 0 7px #666;
  -webkit-animation: loading22 1.5s linear infinite;
  animation: loading22 1.5s linear infinite;
}

@-webkit-keyframes loading22 {
  0% {
    background-position: 0px 0px;
  }

  100% {
    background-position: 3em 0px;
  }
}

@keyframes loading22 {
  0% {
    background-position: 0px 0px;
  }

  100% {
    background-position: 3em 0px;
  }
}
/* loader23 */

.loader23 {
  position: relative;
  top: -25px;
  z-index: 0;
  width: 2em;
  height: 4em;
  border: 0.125em solid #000;
  border-top: transparent;
  border-bottom: transparent;
  border-top-left-radius: 0.25em;
  border-top-right-radius: 0.25em;
}
/* the mouth and the base of the filter */

.loader23:before,
.loader23:after {
  display: block;
  position: absolute;
  z-index: 2;
  content: "";
  width: 100%;
  bottom: -0.4em;
  left: 0;
  background: green;
  -webkit-animation: loading231 3s linear alternate infinite;
  animation: loading231 3s linear alternate infinite;
}

.loader23:after {
  z-index: 1;
  top: 98%;
  left: -100%;
  width: 300%;
  height: 4em;
  background: red;
  border-radius: 50% / 100% 100% 10% 10%;
  box-shadow: 0 0 0 0.1em #000;
  -webkit-animation-name: loading232;
  animation-name: loading232;
}

@-webkit-keyframes loading231 {
  0% {
    background: green;
    height: 20%;
  }

  50% {
    background: orange;
  }

  100% {
    background: red;
    height: 100%;
  }
}

@keyframes loading231 {
  0% {
    background: green;
    height: 20%;
  }

  50% {
    background: orange;
  }

  100% {
    background: red;
    height: 100%;
  }
}

@-webkit-keyframes loading232 {
  0% {
    background: green;
  }

  50% {
    background: orange;
  }

  100% {
    background: red;
  }
}

@keyframes loading232 {
  0% {
    background: green;
  }

  50% {
    background: orange;
  }

  100% {
    background: red;
  }
}
/* loader24 */

.loader24 {
  position: relative;
  width: 10em;
  height: 5em;
  border: 2px solid rgba(0, 0, 0, 0.6);
  border-radius: 50% / 100% 100% 0 0;
  box-shadow: 0 0.2em 5px #333;
  background: -webkit-linear-gradient(left, green, orange, red);
  background: linear-gradient(to right, green, orange, red);
  background-clip: padding-box;
}

.loader24:before {
  display: block;
  position: absolute;
  content: "";
  width: 0.375em;
  height: 80%;
  left: calc(50% - 0.19em);
  bottom: 0;
  background: #000;
  border-left: 1px solid grey;
  border-right: 1px solid grey;
  border-radius: 5px 5px 0 0;
  -webkit-transform-origin: 50% 100%;
  -ms-transform-origin: 50% 100%;
  transform-origin: 50% 100%;
  -webkit-animation: loading241 3s linear alternate infinite;
  animation: loading241 3s linear alternate infinite;
}

.loader24:after {
  display: block;
  position: absolute;
  content: " Danger!!!";
  letter-spacing: 1px;
  width: 1em;
  height: 1em;
  left: 30%;
  top: 15%;
  color: #fff;
  text-shadow: 1px 1px #000;
  opacity: 0;
  -webkit-animation: loading242 3s linear alternate infinite;
  animation: loading242 3s linear alternate infinite;
}

@-webkit-keyframes loading241 {
  0% {
    -webkit-transform: rotate(-80deg);
    transform: rotate(-80deg);
  }

  20% {
    -webkit-transform: rotate(-60deg);
    transform: rotate(-60deg);
  }

  40% {
    -webkit-transform: rotate(-30deg);
    transform: rotate(-30deg);
  }

  50% {
    -webkit-transform: rotate(15deg);
    transform: rotate(15deg);
  }

  60% {
    -webkit-transform: rotate(35deg);
    transform: rotate(35deg);
  }

  70% {
    -webkit-transform: rotate(80deg);
    transform: rotate(80deg);
  }

  90%,
  100% {
    -webkit-transform: rotate(85deg);
    transform: rotate(85deg);
  }
}

@keyframes loading241 {
  0% {
    -webkit-transform: rotate(-80deg);
    transform: rotate(-80deg);
  }

  20% {
    -webkit-transform: rotate(-60deg);
    transform: rotate(-60deg);
  }

  40% {
    -webkit-transform: rotate(-30deg);
    transform: rotate(-30deg);
  }

  50% {
    -webkit-transform: rotate(15deg);
    transform: rotate(15deg);
  }

  60% {
    -webkit-transform: rotate(35deg);
    transform: rotate(35deg);
  }

  70% {
    -webkit-transform: rotate(80deg);
    transform: rotate(80deg);
  }

  90%,
  100% {
    -webkit-transform: rotate(85deg);
    transform: rotate(85deg);
  }
}

@-webkit-keyframes loading242 {
  0%, 50% {
    opacity: 0;
  }

  90%,
  100% {
    opacity: 1;
    -webkit-transform: scale(1.1);
    transform: scale(1.1);
  }
}

@keyframes loading242 {
  0%, 50% {
    opacity: 0;
  }

  90%,
  100% {
    opacity: 1;
    -webkit-transform: scale(1.1);
    transform: scale(1.1);
  }
}
/* loader25 */
/* the radar */

.loader25 {
  position: relative;
  z-index: 0;
  width: 8.5em;
  height: 8.5em;
  color: rgba(0, 0, 0, 0.6);
  background: -webkit-linear-gradient(left, transparent, transparent 49%, currentColor 49%, currentColor 51%, transparent 51%, transparent), -webkit-linear-gradient(top, transparent, transparent 49%, currentColor 49%, currentColor 51%, transparent 51%, transparent), -webkit-repeating-radial-gradient(green 5%, black 15%, darkgreen 25%);
  background: linear-gradient(to right, transparent, transparent 49%, currentColor 49%, currentColor 51%, transparent 51%, transparent), linear-gradient(to bottom, transparent, transparent 49%, currentColor 49%, currentColor 51%, transparent 51%, transparent), repeating-radial-gradient(green 5%, black 15%, darkgreen 25%);
  border: 3px solid;
  border-radius: 50%;
  overflow: hidden;
}
/* the radar inspector */

.loader25:before,
.loader25:after {
  display: block;
  position: absolute;
  z-index: 1;
  content: "";
  width: 50%;
  height: 50%;
  top: 0%;
  left: 50%;
  background: -webkit-linear-gradient(130deg, #07D907, #07D907 20%, transparent 50%, transparent 0);
  background: linear-gradient(-40deg, #07D907, #07D907 20%, transparent 50%, transparent 0);
  -webkit-transform-origin: 0 100%;
  -ms-transform-origin: 0 100%;
  transform-origin: 0 100%;
  -webkit-animation: loading251 3s linear infinite;
  animation: loading251 3s linear infinite;
}
/* the target */

.loader25:after {
  z-index: -1;
  width: 0.5em;
  height: 0.5em;
  top: 10%;
  left: 60%;
  background: rgba(255, 255, 255, 0.6);
  border-radius: 50%;
  -webkit-animation-name: loading252;
  animation-name: loading252;
  -webkit-animation-duration: 0.5s;
  animation-duration: 0.5s;
}

@-webkit-keyframes loading251 {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }

  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@keyframes loading251 {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }

  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@-webkit-keyframes loading252 {
  0% {
    -webkit-transform: scale(0.9);
    transform: scale(0.9);
  }

  100% {
    -webkit-transform: scale(1.3);
    transform: scale(1.3);
    background: #fff;
  }
}

@keyframes loading252 {
  0% {
    -webkit-transform: scale(0.9);
    transform: scale(0.9);
  }

  100% {
    -webkit-transform: scale(1.3);
    transform: scale(1.3);
    background: #fff;
  }
}
/* loader26 */
/* the little balls pacman eats
   an eternal background move to the left */

.loader26 {
  position: relative;
  z-index: 0;
  width: 10em;
  height: 3em;
  background-image: -webkit-radial-gradient(#fff, #fff 19%, transparent 0);
  background-image: radial-gradient( #fff, #fff 19%, transparent 0);
  background-size: 3em 3em;
  -webkit-animation: loading26 2s linear infinite;
  animation: loading26 2s linear infinite;
}
/* pacman made of 3 borders */

.loader26:before {
  display: block;
  position: absolute;
  z-index: 2;
  /* I want the pacman over its jaw because of its black "helper" */
  content: "";
  width: 0;
  height: 0;
  top: -1.5em;
  left: -1.5em;
  border: 3em solid yellow;
  border-radius: 50%;
  border-right-color: transparent;
  /* its mouth */
  -webkit-transform: rotate(20deg);
  -ms-transform: rotate(20deg);
  transform: rotate(20deg);
  /* rotation to close the mouth a little bit */;
}
/* mouth open/close - the jaw */

.loader26:after {
  display: block;
  position: absolute;
  content: "";
  width: 3em;
  height: 3em;
  top: -1.5em;
  left: 1.5em;
  background: yellow;
  border-top-right-radius: 100%;
  /* curved jaw */
  -webkit-transform: rotate(135deg);
  -ms-transform: rotate(135deg);
  transform: rotate(135deg);
  /* 90deg from the mouth opening and 45deg relates to its position */
  -webkit-transform-origin: 0 100%;
  -ms-transform-origin: 0 100%;
  transform-origin: 0 100%;
  box-shadow: -1.43em 1em 0 0 #000;
  /* the dark place after eating the ball - it covers the ball with color same as the background */
  -webkit-animation: loading262 1s linear alternate infinite;
  animation: loading262 1s linear alternate infinite;
}

@-webkit-keyframes loading26 {
  0% {
    background-position: 0px 0px;
  }

  100% {
    background-position: -3em 0px;
  }
}

@keyframes loading26 {
  0% {
    background-position: 0px 0px;
  }

  100% {
    background-position: -3em 0px;
  }
}

@-webkit-keyframes loading262 {
  0% {
    /* where the lower sign of the mouth takes place */
    -webkit-transform: rotate(135deg);
    transform: rotate(135deg);
  }

  100% {
    -webkit-transform: rotate(65deg);
    transform: rotate(65deg);
    /* where the upper sign of the mouth takes place
   45deg initial + 20deg from the pacman rotation */;
  }
}

@keyframes loading262 {
  0% {
    /* where the lower sign of the mouth takes place */
    -webkit-transform: rotate(135deg);
    transform: rotate(135deg);
  }

  100% {
    -webkit-transform: rotate(65deg);
    transform: rotate(65deg);
    /* where the upper sign of the mouth takes place
   45deg initial + 20deg from the pacman rotation */;
  }
}